Describe an Admin
curl --request GET \
--url https://wksusa1b2c3d.provisionr.app/api/v1/policy/rulesets/{ruleset}/admins/{user} \
--header 'Authorization: Bearer <token>'$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$response = Invoke-WebRequest -Uri 'https://wksusa1b2c3d.provisionr.app/api/v1/policy/rulesets/{ruleset}/admins/{user}' -Method GET -Headers $headersimport requests
url = "https://wksusa1b2c3d.provisionr.app/api/v1/policy/rulesets/{ruleset}/admins/{user}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wksusa1b2c3d.provisionr.app/api/v1/policy/rulesets/{ruleset}/admins/{user}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "posaa_01hq8xyzabc123def456ghi789",
"state": "staged",
"role": "admin",
"count": {
"audit_logs_parent": 123,
"audit_logs_record": 123,
"audit_logs_related": 123
},
"included": {
"directory_user": {
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
},
"policy_ruleset": {
"id": "poset_01hq8xyzabc123def456ghi789",
"state": "unmanaged",
"type": "directory_attribute",
"resource_id": "dratr_01hq8xyzabc123def456ghi789",
"is_authoritative": false,
"expires_after_days": 30
}
},
"timestamp": {
"created_at": "2025-01-28T13:37:00Z",
"updated_at": "2025-05-04T03:27:00Z",
"activated_at": "2025-03-14T15:07:00Z",
"expires_at": null,
"deleted_at": null
},
"links": {
"self": "https://ws-a1b2c3.provisionr.io/api/v1/policy/admins/posaa_01hq8xyzabc123def456ghi789"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Policy Ruleset Admin Users
Describe an Admin
GET
/
policy
/
rulesets
/
{ruleset}
/
admins
/
{user}
Describe an Admin
curl --request GET \
--url https://wksusa1b2c3d.provisionr.app/api/v1/policy/rulesets/{ruleset}/admins/{user} \
--header 'Authorization: Bearer <token>'$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$response = Invoke-WebRequest -Uri 'https://wksusa1b2c3d.provisionr.app/api/v1/policy/rulesets/{ruleset}/admins/{user}' -Method GET -Headers $headersimport requests
url = "https://wksusa1b2c3d.provisionr.app/api/v1/policy/rulesets/{ruleset}/admins/{user}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wksusa1b2c3d.provisionr.app/api/v1/policy/rulesets/{ruleset}/admins/{user}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "posaa_01hq8xyzabc123def456ghi789",
"state": "staged",
"role": "admin",
"count": {
"audit_logs_parent": 123,
"audit_logs_record": 123,
"audit_logs_related": 123
},
"included": {
"directory_user": {
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
},
"policy_ruleset": {
"id": "poset_01hq8xyzabc123def456ghi789",
"state": "unmanaged",
"type": "directory_attribute",
"resource_id": "dratr_01hq8xyzabc123def456ghi789",
"is_authoritative": false,
"expires_after_days": 30
}
},
"timestamp": {
"created_at": "2025-01-28T13:37:00Z",
"updated_at": "2025-05-04T03:27:00Z",
"activated_at": "2025-03-14T15:07:00Z",
"expires_at": null,
"deleted_at": null
},
"links": {
"self": "https://ws-a1b2c3.provisionr.io/api/v1/policy/admins/posaa_01hq8xyzabc123def456ghi789"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
PolicyRulesetAdminDetailedResponseData
Example:
"posaa_01hq8xyzabc123def456ghi789"
staged The record is staged and is only visible to administrators or in the API. Use the activate method during your change window. |
active The record is active. |
expiring The expires_at value is set in the future for the record. You can run the activate action to remove the scheduled expiration. |
expired The expires_at value is in the past and the record was deactivated. |
deactivated The record was deactivated manually by an administrator. |
Available options:
staged, active, expiring, expired, deactivated admin Can view, create, activate, deprecate, and delete rules and conditions in the ruleset |
audit Can view rules and conditions (read-only) |
create Can view rules and conditions and create new rules and conditions in a draft state. Rule and conditions are not in effect until a user with activate or admin role activates the rule. |
activate Can view rules and conditions and activate draft rules. Only admin can deprecate or deactivate a rule. |
Available options:
admin, audit, create, activate Count of related resources
Show child attributes
Show child attributes
Included related resources
Show child attributes
Show child attributes
Show child attributes
Show child attributes
API hyperlinks related to the Policy Ruleset Admin record
Show child attributes
Show child attributes
Example:
{ "self": "https://ws-a1b2c3.provisionr.io/api/v1/policy/admins/posaa_01hq8xyzabc123def456ghi789" }
Was this page helpful?